<?php

	switch( $lang['lang_short'] ) {
		case 'de':
			$lang['feedburner_url'] = 'FeedBurner URL:';
			$lang['feedburner_link'] = 'Feed URL durch Link zu FeedBurner ersetzen';
			break;
		case 'en':
		default:
			$lang['feedburner_url'] = 'FeedBurner URL:';
			$lang['feedburner_link'] = 'Replace feed URL with FeedBurner link';
			break;
	}

	function feedburner_admin_settings_check()
	{
		global $settings_save;
		if( isset( $_POST['feedburner_url'] ) ) $settings_save['feedburner_url'] = $_POST['feedburner_url'];
		$settings_save['feedburner_link'] = ( isset( $_POST['feedburner_link'] ) && $_POST['feedburner_link'] == 1 ) ? 1 : 0;
	}

	function feedburner_admin_settings_form()
	{
		global $config, $tpl, $lang;
		if( !isset( $config['feedburner_url'] ) ) return;

		$tpl->part_load();
		$tpl->fillin_array( array(
			'S_SETTINGS_FORM' => $lang['feedburner_url'],
			'I_SETTINGS_FORM' => '<input type="text" name="feedburner_url" value="' . $config['feedburner_url'] . '" />',
		) );
		
		$tpl->part_load();
		$feedburner_link = ( $config['feedburner_link'] ) ? 'checked="checked" ' : '';
		$tpl->fillin_array( array(
			'S_SETTINGS_FORM' => $lang['feedburner_link'],
			'I_SETTINGS_FORM' => '<input type="checkbox" name="feedburner_link" value="1" ' . $feedburner_link . '"/>',
		) );
	}

	function feedburner_redirect()
	{
		global $config;
		if( !empty( $config['feedburner_url'] ) ) {
			if( strpos( strtolower( $_SERVER['HTTP_USER_AGENT'] ), 'feedburner' ) === false ) {
				session_write_close();
				header( 'Location: ' . $config['feedburner_url'] );
				exit();
			}
		}
	}
	
	function feedburner_link()
	{
		global $config, $lang, $tpl;
		if( !empty( $config['feedburner_url'] ) && $config['feedburner_link'] ) {
			$tpl->fillin_array( array(
				'S_FEED_ENTRIES' => '<a href="' . $config['feedburner_url'] . '">' . $lang['entries'] . '</a>',
				'L_FEED_ENTRIES' => $config['feedburner_url'],
			) );
		}
	}

	$plug->addhook( 'hook_admin_settings_validating', 'feedburner_admin_settings_check' );
	$plug->addhook( 'hook_admin_settings_form', 'feedburner_admin_settings_form' );
	$plug->addhook( 'hook_feed_start', 'feedburner_redirect' );
	$plug->addhook( 'hook_index_preoutput', 'feedburner_link' );

?>
